curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
QR 资源
获取用户设计模板
GET /qr-assets/design-template//
GET
/
qr-assets
/
design-template
/
{pk}
/
curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
在 Management API 主机(
如果
api.scanova.io)上获取单个用户设计模板,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/qr-assets/design-template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
pk 不是该账户拥有的模板,则返回 404。
相关内容
- 列出用户设计模板——查找
id。 - 更新用户设计模板——编辑此模板。
- 删除用户设计模板——删除此模板。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
One design template.
此页面对您有帮助吗?